/**Begin D:\PDM_UPGRADE\PDM1\CAS_table.sql **/
 EXEC p_AlterColumn 'T_CAS_RECEIVSETTLEENTRY', 'FSETTLEREMARK', 'NVARCHAR(512)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_CAS_RECCHGSETTLEENTRY', 'FSETTLEREMARK', 'NVARCHAR(512)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_CAS_RECBILLCHANGBENTRY', 'FBREMARK', 'NVARCHAR(512)', 'NOT NULL', '0111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_RECBILLCHANGENTRY', 'FREMARK', 'NVARCHAR(512)', 'NOT NULL', '0111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_RECEIVINGBILLENTRY', 'FREMARK', 'NVARCHAR(512)', 'NOT NULL', '0111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAS_EXTEND_CONFIG') 
 CREATE TABLE T_CAS_EXTEND_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCONFIGVALUE VARCHAR(512) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAS_EXTEND_CONFIG_L') 
 CREATE TABLE T_CAS_EXTEND_CONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CAS_table.sql **/
